package | horde.cipher

### Methods

## Cipher_blowfish()

    Cipher_blowfish($params)

### Parameters

#### $params

## Encrypt a block on data.

    _encryptBlock(String $L, String $R) : String

### Parameters

#### $L

`String`

The data to encrypt.

#### $R

`String`

The data to encrypt.

### Returns

`String`The encrypted output.

## Converts a text key into an array.

    _formatKey($key) : array

### Parameters

#### $key

### Returns

`array`The key.

## Decrypt a block on data.

    decryptBlock(String $block, \optional $key) : String

### Parameters

#### $block

`String`

The data to decrypt

#### $key

`\optional`

String $key The key to use

### Returns

`String`the decrypted output

## Encrypt a block on data.

    encryptBlock(String $block, \optional $key) : String

### Parameters

#### $block

`String`

The data to encrypt

#### $key

`\optional`

String $key The key to use

### Returns

`String`the encrypted output

## Return the size of the blocks that this cipher needs

    getBlockSize() : Integer

### Returns

`Integer`The number of characters per block

## Set the key to be used for en/decryption

    setKey(String $key)

### Parameters

#### $key

`String`

The key to use

### Properties

## $_rounds

    $_rounds

## $p

    $p

## $s1

    $s1

## $s2

    $s2

## $s3

    $s3

## $s4

    $s4